%define name    AiksaurusGTK
%define version 0.14
%define release 1mdk

%define major 0
%define majorminor 0
%define libname %mklibname %{name} %{major}

Name:		%name
Version:	%version
Release:	%release
Summary:	A GTK+ thesaurus library.
License:	GPL
Group:		Office
Url:		http://www.aiksaurus.com/gtk
Source:		%name-%version.tar.bz2
Patch0:		%name-%version-debian-g++.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+1.2-devel
BuildRequires:	libAiksaurus-devel

%description
AiksaurusGTK is a GTK+ interface to the Aiksaurus library.  
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.  
This package provides the standalone GTK+ interface.

%package -n %libname
Summary:        A GTK+ thesaurus library.
Group:          Office

%description -n %libname
AiksaurusGTK is a GTK+ interface to the Aiksaurus library.
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.
This package provides the library files.


%package -n %libname-devel
Summary:        A GTK+ thesaurus library.
Group:          Development/C
Requires:       %{libname} = %{version}-%release
Requires:	libAiksaurus-devel
Provides:       libAiksaurusGTK-devel = %version-%release
Provides:       libAiksaurusGTK%{majorminor}-devel = %version-%release

%description -n %libname-devel
AiksaurusGTK is a GTK+ interface to the Aiksaurus library.
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.
This package contains the libraries and includes files necessary to develop
applications with AiksaurusGTK.


%prep
%setup -q
%patch0 -p1 -b .g++

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGES README COPYING AUTHORS
%{_bindir}/AiksaurusGTK

%files -n %libname
%defattr(-, root, root)
%{_libdir}/libAiksaurusGTK.so.*

%files -n %libname-devel
%defattr(-, root, root)
%{_includedir}/Aiksaurus*.h
%{_libdir}/libAiksaurusGTK.*a
%{_libdir}/libAiksaurusGTK.so


%changelog
* Mon Mar 10 2003 Marcel Pol <mpol@gmx.net> 0.14-1mdk
- initial mandrake release
